Package org.apache.synapse.commons.datasource

# Class DataSourceInformationRepository

java.lang.Object
org.apache.synapse.commons.datasource.DataSourceInformationRepository

public class DataSourceInformationRepository extends Object
Keep and maintain `DataSourceInformation`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataSourceInformationRepository()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addDataSourceInformation(DataSourceInformation dataSourceInformation)`
  Adding a DataSourceInformation instance
  `void`
  `configure(Properties configurationProperties)`
  Configuring DataSourceInformationRepository
  `Iterator<DataSourceInformation>`
  `getAllDataSourceInformation()`
  Returns all `DataSourceInformation`s in the repository
  `DataSourceInformation`
  `getDataSourceInformation(String name)`
  Get an existing `DataSourceInformation` instance for the given name
  `DataSourceInformationRepositoryListener`
  `getRepositoryListener()`
  Gets the existing `DataSourceInformationRepositoryListener`
  `DataSourceInformation`
  `removeDataSourceInformation(String name)`
  Removing a DataSourceInformation instance by name
  `void`
  `removeRepositoryListener()`
  Remove existing `DataSourceInformationRepositoryListener`
  `void`
  `setRepositoryListener(DataSourceInformationRepositoryListener listener)`
  Sets a `DataSourceInformationRepositoryListener` instance

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DataSourceInformationRepository

    public DataSourceInformationRepository()

- ## Method Details

  - ### configure

    public void configure(Properties configurationProperties)
    Configuring DataSourceInformationRepository
    Parameters:
      `configurationProperties` - properties to be used for configure

  - ### addDataSourceInformation

    public void addDataSourceInformation(DataSourceInformation dataSourceInformation)
    Adding a DataSourceInformation instance
    Parameters:
      `dataSourceInformation` - `DataSourceInformation` instance

  - ### getDataSourceInformation

    public DataSourceInformation getDataSourceInformation(String name)
    Get an existing `DataSourceInformation` instance for the given name
    Parameters:
      `name` - Name of the DataSourceInformation to be returned
    Returns:
      DataSourceInformation instance if the are any with given name, otherwise , returns null

  - ### removeDataSourceInformation

    public DataSourceInformation removeDataSourceInformation(String name)
    Removing a DataSourceInformation instance by name
    Parameters:
      `name` - Name of the DataSourceInformation to be removed
    Returns:
      removed DataSourceInformation instance

  - ### getAllDataSourceInformation

    public Iterator<DataSourceInformation> getAllDataSourceInformation()
    Returns all `DataSourceInformation`s in the repository
    Returns:
      List of `DataSourceInformation`s

  - ### setRepositoryListener

    public void setRepositoryListener(DataSourceInformationRepositoryListener listener)
    Sets a `DataSourceInformationRepositoryListener` instance
    Parameters:
      `listener` - `DataSourceInformationRepositoryListener` instance

  - ### removeRepositoryListener

    public void removeRepositoryListener()
    Remove existing `DataSourceInformationRepositoryListener`

  - ### getRepositoryListener

    public DataSourceInformationRepositoryListener getRepositoryListener()
    Gets the existing `DataSourceInformationRepositoryListener`
    Returns:
      DataSourceInformationRepositoryListener that have been registered